cutlass::TypeTraits< int8_t > Struct Template Reference

`#include <type_traits.h>`

## Public Types

typedef int8_t | host_type
typedef int8_t | device_type
typedef int8_t | integer_type
typedef uint8_t | unsigned_type

## Static Public Member Functions

static int8_t | remove_negative_zero (int8_t x)
static int | to_print (int8_t x)
static device_type | to_device (host_type x)

## Static Public Attributes

static cudaDataType_t const | cublas_type = CUDA_R_8I

## Member Typedef Documentation

typedef int8_t cutlass::TypeTraits< int8_t >::device_type

typedef int8_t cutlass::TypeTraits< int8_t >::host_type

typedef int8_t cutlass::TypeTraits< int8_t >::integer_type

typedef uint8_t cutlass::TypeTraits< int8_t >::unsigned_type

## Member Function Documentation

static int8_t cutlass::TypeTraits< int8_t >::remove_negative_zero | ( | int8_t | x | ) |

inlinestatic

static device_type cutlass::TypeTraits< int8_t >::to_device | ( | host_type | x | ) |

inlinestatic

static int cutlass::TypeTraits< int8_t >::to_print | ( | int8_t | x | ) |

inlinestatic

## Member Data Documentation

cudaDataType_t const cutlass::TypeTraits< int8_t >::cublas_type = CUDA_R_8I

static

The documentation for this struct was generated from the following file:

- type_traits.h